<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

namespace DB2Module\Lib;


use itnovum\openITCOCKPIT\Core\Wizards\ModuleWizardsInterface;

class Wizards implements ModuleWizardsInterface {

    /**
     * @var array
     */
    private $ACL_PERMISSIONS = [];

    /**
     * Widgets constructor.
     * @param $ACL_PERMISSIONS
     */
    public function __construct($ACL_PERMISSIONS) {
        $this->ACL_PERMISSIONS = $ACL_PERMISSIONS;
    }

    /**
     * @return array
     */
    public function getAvailableWizards() {
        if (!(isset($this->ACL_PERMISSIONS['hosts']['add']) && isset($this->ACL_PERMISSIONS['services']['add']))) {
            return [];
        }
        return [
            'db2' => [
                'type_id'                 => 'db2',
                'uuid'                    => 'b5d9df20-bd54-4ef6-9b76-c1fd60a574e9',
                'title'                   => __('DB2 Monitoring'),
                'description'             => __('Monitor your DB2 server'),
                'image'                   => 'db2.png',
                'directive'               => 'db2', //AngularJS directive
                'state'                   => 'WizardsDB2',
                'category'                => ['database'],
                'selected_os'             => null,
                'necessity_of_assignment' => true
            ]
        ];
    }
}
