<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.
?>
<ol class="breadcrumb page-breadcrumb">
    <li class="breadcrumb-item">
        <a ui-sref="DashboardsIndex">
            <i class="fa fa-home"></i> <?php echo __('Home'); ?>
        </a>
    </li>
    <li class="breadcrumb-item">
        <a ui-sref="WizardsIndex">
            <i class="fa-solid fa-wand-magic-sparkles"></i> <?php echo __('Wizards'); ?>
        </a>
    </li>
    <li class="breadcrumb-item">
        <i class="fas fa-database"></i> <?php echo __('DB2'); ?>
    </li>
</ol>

<div class="row">
    <div class="col-12">
        <div id="panel-1" class="panel">
            <div class="panel-hdr">
                <h2>
                    <?php echo __('Configuration Wizard: DB2 Database'); ?>

                </h2>
            </div>
            <div class="panel-container show">
                <div class="panel-content fuelux">
                    <form ng-submit="submit();" class="form-horizontal">
                        <div class="wizard">
                            <ul class="nav nav-tabs step-anchor">
                                <li class="active">
                                    <span class="badge badge-info">
                                        <i class="fa fa-info"></i>
                                    </span>
                                    <span>
                                        <?php echo __('Configure DB2 Monitoring'); ?>
                                    </span>
                                    <span class="chevron"></span>
                                </li>
                            </ul>
                        </div>


                        <div class="step-content">
                            <div class="card margin-top-20 margin-bottom-10">
                                <div class="card-body">
                                    <fieldset class="padding-bottom-20">
                                        <legend class="fs-md fieldset-legend-border-bottom">
                                            <h4>
                                                <?= __('Administration Settings'); ?>
                                            </h4>
                                        </legend>
                                        <div class="accordion accordion-hover padding-bottom-10">
                                            <div class="card border-bottom">
                                                <div class="card-header">
                                                    <a href="javascript:void(0);" class="card-title collapsed"
                                                       data-toggle="collapse" data-target="#accordion-body-1"
                                                       aria-expanded="false">
                                                        <i class="fas fa-life-ring width-2"></i>
                                                        <?= __('DB2 configuration help'); ?>
                                                        <span class="ml-auto">
                                                            <span class="collapsed-reveal">
                                                                <i class="fas fa-chevron-up"></i>
                                                            </span>
                                                            <span class="collapsed-hidden">
                                                                <i class="fas fa-chevron-down"></i>
                                                            </span>
                                                        </span>
                                                    </a>
                                                </div>
                                                <div id="accordion-body-1" class="collapse">
                                                    <div class="card-body padding-10">
                                                        <?= __('Please replace XXXXX with your version.'); ?>
                                                    </div>
                                                    <div class="card-body padding-10">
                                                        <ol>
                                                            <li>
                                                                <?= __('Please download a recent version of the following packages from here'); ?>
                                                                (
                                                                <a href="https://www.ibm.com/support/pages/download-initial-version-115-clients-and-drivers"
                                                                   target="_blank">
                                                                    https://www.ibm.com/support/pages/download-initial-version-115-clients-and-drivers
                                                                </a>
                                                                )
                                                                <ul class="padding-10">
                                                                    <li>
                                                                        <code>Runtime Client (rtcl)</code>
                                                                    </li>
                                                                    <li>
                                                                        <code>Driver package (DS Driver)</code>
                                                                    </li>
                                                                </ul>
                                                            </li>
                                                            <li>
                                                                <?= __('Environment'); ?>
                                                                <div>
                                                                    <?= __('Add the following to {0}', '<code>/etc/environment</code>'); ?>
                                                                </div>
                                                                <pre class="margin-top-5">LD_LIBRARY_PATH=/opt/ibm/db2/VXX.X/lib64
DB2DIR=/opt/ibm/db2/VXX.X
DB2_HOME=/opt/ibm/db2/VXX.X
DB2LIB=/var/lib/nagios/sqllib/lib
DB2INSTANCE=nagios
                                                                </pre>
                                                            </li>
                                                            <li>
                                                                <?= __('Installation'); ?>
                                                                <pre class="margin-top-5">tar xf vXXXX_linuxx64_rtcl.tar.gz
cd rtcl/
./db2_install

tar xf vXXXX_linuxx64_dsdriver.tar.gz
cd dsdriver
./installDSDriver
cp -r include /opt/ibm/db2/VXX.X/

/opt/ibm/db2/VXX.X/instance/db2icrt -a server -u nagios nagios

source /etc/environment

apt-get install libdbi-perl libaio1
cpan -i DBD::DB2</pre>
                                                            </li>

                                                            <li>
                                                                <div>
                                                                    <?= __('Create User within Databas'); ?>
                                                                    <div>
                                                                        <?= __('To ensure, that openITCOCKPIT is able to query information from the database, you need to add a operationsystem user called "nagios" (with same group name).'); ?>
                                                                    </div>
                                                                    <div>
                                                                        <?= __('Maybe there is already a user {0}, wich is beeing used to monitore the operatingsystem.', '<code>"nagios"</code>'); ?>
                                                                    </div>
                                                                    <div>
                                                                        <?= __('Afterwords you need to enable the monitoring switches:'); ?>
                                                                    </div>
                                                                    <pre class="margin-top-5">update dbm cfg using dft_mon_bufpool on
update dbm cfg using dft_mon_lock on
update dbm cfg using dft_mon_timestamp on</pre>
                                                                    <div>
                                                                        <?= __('The nagios user (resp. the nagios group) is going to get the needed privileges and after a restart of the database, everything is prepared.'); ?>
                                                                    </div>
                                                                    <pre class="margin-top-5">db2 update dbm cfg using sysmon_group nagios
db2 grant select,update on table SYSTOOLS.STMG_DBSIZE_INFO to nagios
db2stop; db2start</pre>
                                                                </div>
                                                            </li>

                                                            <li>
                                                                <div>
                                                                    <?= __('Restart the DB2 server to apply the changes.'); ?>
                                                                    <pre class="margin-top-5">db2stop; db2start</pre>
                                                                </div>
                                                            </li>
                                                        </ol>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="form-group required" ng-class="{'has-error': errors.dbuser}">
                                            <label class="control-label" for="dbuser">
                                                <?php echo __('Database user'); ?>
                                            </label>
                                            <input id="dbuser"
                                                   class="form-control"
                                                   type="text"
                                                   ng-model="post.dbuser">
                                            <div ng-repeat="error in errors.dbuser">
                                                <div class="help-block text-danger">{{ error }}</div>
                                            </div>
                                        </div>
                                        <div class="form-group required" ng-class="{'has-error': errors.dbpass}">
                                            <label class="control-label" for="dbpass">
                                                <?php echo __('Password'); ?>
                                            </label>
                                            <input id="dbpass"
                                                   class="form-control"
                                                   type="password"
                                                   ng-model="post.dbpass">
                                            <div ng-repeat="error in errors.dbpass">
                                                <div class="help-block text-danger">{{ error }}</div>
                                            </div>
                                        </div>
                                    </fieldset>
                                    <fieldset>
                                        <legend class="fs-md fieldset-legend-border-bottom">
                                            <h4 ng-class="{'text-danger': errors.services}">
                                                <span>
                                                    <?= __('DB2 Database services'); ?>
                                                </span>
                                                <span class="help-block italic text-primary">
                                                    <?= __('To avoiding duplicate service configuration, the existing services with the same name will be automatically deselected'); ?>
                                                </span>
                                                <div ng-repeat="error in errors.services">
                                                    <div class="help-block text-danger">
                                                        <i class="fas fa-exclamation-triangle"></i>
                                                        {{ error }}
                                                    </div>
                                                </div>
                                            </h4>
                                        </legend>
                                        <wizard-filter></wizard-filter>
                                        <ul class="no-padding">
                                            <ol class="padding-bottom-20 padding-left-0"
                                                ng-repeat="service in (filteredItems = (post.services | filterTagsinput:search.name))">
                                                <div class="form-group">
                                                    <div class="custom-control custom-checkbox">
                                                        <input type="checkbox"
                                                               id="{{service.name}}"
                                                               class="custom-control-input"
                                                               name="checkbox"
                                                               ng-model="service.createService">
                                                        <label class="custom-control-label custom-control-label-ok"
                                                               for="{{service.name}}">
                                                            {{service.name}}
                                                            <span class="help-block italic">
                                                                {{service.description}}
                                                            </span>
                                                        </label>
                                                    </div>
                                                </div>
                                                <div class="form-group {{detectColor(commandargument.commandargument.human_name)}}"
                                                     ng-repeat="commandargument in service.servicecommandargumentvalues">
                                                    {{commandargument.commandargument.human_name}}
                                                    <input class="form-control"
                                                           type="text"
                                                           ng-disabled="!service.createService"
                                                           ng-model="commandargument.value">
                                                </div>
                                            </ol>
                                        </ul>
                                    </fieldset>
                                </div>
                            </div>
                            <div class="card margin-top-10">
                                <div class="card-body">
                                    <div class="float-right">
                                        <button type="submit" class="btn btn-primary" ng-disabled="disableSubmit">
                                            <span>
                                                <i class="fa fa-spinner fa-spin" ng-show="disableSubmit"></i>
                                            </span>
                                            <?php echo __('Create services'); ?>
                                        </button>
                                        <a back-button href="javascript:void(0);" fallback-state='WizardsIndex'
                                           class="btn btn-default"><?php echo __('Cancel'); ?></a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
